## sugar-datastore-0.86 0.86.2

=== debian/changelog ===
sugar-datastore-0.86 (0.86.2-3) unstable; urgency=low

  * Bump Policy compliance to standards-version 3.9.1.
  * Append _DEFAULT to deprecated CDBS variables in rules file.
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir, and
    add source local-options.
  * Drop TODO: Only issue was use of Xappy, but its predecessor, secore,
    was dropped since upstream v0.8.1.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Oct 2010 14:18:58 +0200

sugar-datastore-0.86 (0.86.2-2) unstable; urgency=low

  * Fix use branch-specific Vcs-Browser stanza.
  * Relax transitional conflicts to use Breaks: (not Conflicts:).
  * Stop needlessly providing python-olpc-datastore.
  * Bump Policy compliance to standards-version to 3.9.0.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Jul 2010 11:27:27 +0200

sugar-datastore-0.86 (0.86.2-1) unstable; urgency=low

  * New upstream maintenance release.
  * Drop all local CDBS snippets: included with main cdbs package now.
  * Switch to source format "3.0 (quilt)".
  * Drop build-dependencies on quilt and patchutils.
  * Relax build-dependencies on python-central and python-all-dev.
  * Relax build-dependency on devscripts slightly, to ease backporting.
  * Tighten build-dependency on cdbs.
  * Add git-buildpackage hint about use of bzip2-compressed tarballs.
  * Bump standards-version to 3.8.4.
  * Update copyright file:
    + Reformat to conform to draft DEP5 rev. 135.
    + Add GPL disclaimers.
    + Adjust some years.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 20:42:07 +0200

sugar-datastore-0.86 (0.86.1-2) unstable; urgency=low

  * Tighten watch file to track only 0.86 releases.
  * Switch to 0.86 branches in gbp.conf.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Dec 2009 14:18:34 +0100

sugar-datastore-0.86 (0.86.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Oct 2009 15:33:40 +0200

sugar-datastore-0.86 (0.86.0-1) unstable; urgency=low

  * New upstream stable release.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Sep 2009 18:04:24 +0200

sugar-datastore-0.86 (0.85.4-2) unstable; urgency=low

  * Drop unneeded dependency on python-gnome2.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Sep 2009 19:36:03 +0200

sugar-datastore-0.86 (0.85.4-1) unstable; urgency=low

  * New upstream development release.
  * Bump major version to 0.86 for binary and source package.
  * Simplify watch file (we want to watch too new files too).
  * Update debian/copyright (no new licenses or copyright holders).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Sep 2009 14:49:59 +0200

sugar-datastore-0.84 (0.84.0-3) unstable; urgency=low

  * Update CDBS snippets:
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones).
    + Improve package-relation.mk cleanup to cover debhelper 6 and 7,
      strip more whitespace and cover mixture of unversioned+versioned
      dependencies.
    + Silence applying dependencies in package-relation.mk.
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.
  * Update OLPC relation (now historic) in long description.
  * Bump up policy compliance to standards version 3.8.3.
  * Update debian/copyright format to DEP5 rev54.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Sep 2009 13:08:27 +0200

sugar-datastore-0.84 (0.84.0-2) unstable; urgency=low

  * Provide, conflict with and replace python-olpc-datastore.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 May 2009 20:21:12 +0200

sugar-datastore-0.84 (0.84.0-1) unstable; urgency=low

  * New upstream release.
  * Drop patch 0001 no longer relevant (related code dropped upstream).
  * Drop patches 1002-1005, and limit Python support to 2.5 and newer.
  * Add README.source (and drop CDBS hints and README.packaging).
  * Update CDBS snippets:
    + Minor updates to buildinfo.mk and copyright-check.mk
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones)
    + Extend package-relation.mk to handle debhelper 6 and 7.0.1
  * Add git-buildpackage configfile, enabling signed tags and use of
    pristine-tar.
  * Use sugarlabs.org (not laptop.org) as upstream URLs.
  * Restrict watch file to current stable release (0.84).
  * Handle binary (not only source) dependencies in rules file.
  * Rename binary to package python-carquinyol (from python-olpc-
    datastore), and adjust upstream project name to sugar-datastore
    (from OLPC Datastore).
  * Switch to achitecture-dependent packaging (code now includes private
    metadatareader library).
  * Append major version (0.84) to binary and source package.
  * Update debian/copyright:
    + Rewrite to use DEP5 r48 proposed machine-readable format
    + Add authors of autogenerated files and files below debian/* (no
      new licenses)
    + Main author is OLPC (not Lemur Consulting Ltd)
  * Bump policy compliance to Standards-Version 3.8.1.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 May 2009 15:13:43 +0200

sugar-datastore (0.82.1-2) unstable; urgency=high

  * Add patch 0001 to fix Xapian overflow.
  * Set urgency=high as without above patch the Sugar journal is
    completely broken (as in _no_ data gets saved in Sugar).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Jan 2009 23:01:39 +0100

sugar-datastore (0.82.1-1) unstable; urgency=low

  * New Upstream Version.
  * Depend on ${misc:Depends}.
  * Update CDBS snippet copyright-check.mk: Compact simple licenses
    (those without ' or later').
  * Update CDBS snippet makefile.mk: Cleanup check stamp dir for
    flavored builds. Fixing failure to build twice in a row.
  * Update CDBS snippet update-tarball.mk: Various improvements (none
    important here).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Nov 2008 19:23:36 +0100

sugar-datastore (0.82.0-1) unstable; urgency=low

  * New upstream release.
  * Update cdbs snippets:

